﻿using System;

namespace Plane.Copters
{
    public class SystemStatusReceivedEventArgs : EventArgs
    {
        public SystemStatusReceivedEventArgs(bool gpsBadHealth, bool gyroBadHealth, bool accelBadHealth, bool compassBadHealth, bool barometerBadHealth)
        {
            GpsBadHealth = gpsBadHealth;
            GyroBadHealth = gyroBadHealth;
            AccelBadHealth = accelBadHealth;
            CompassBadHealth = compassBadHealth;
            BarometerBadHealth = barometerBadHealth;
        }

        public bool AccelBadHealth { get; private set; }

        public bool BarometerBadHealth { get; private set; }

        public bool CompassBadHealth { get; private set; }

        public bool GpsBadHealth { get; private set; }

        public bool GyroBadHealth { get; private set; }
    }
}
